<template>
	<view class="box">
    <Nav title="首页"></Nav>
    <enInput></enInput>
    <enInput></enInput>
    <enSend v-model="phone" ref="enSendObj" @getCode="getCode"></enSend>
	</view>
</template>
<script>

  import enInput from "components/en-input/en-input"
  import enSend from "components/en-send/en-send"
	export default {
		components: {
      enInput,
      enSend
		},
		data() {
			return {
        phone:'13900139001'
			}
		},
		mounted() {

		},
		methods: {
      getCode(){
        console.log('---------------------asdsa')
        this.$refs.enSendObj.setCodeNum()
      },


		},
	}
</script>
<style lang="scss" scoped>
.box{
  padding: 32rpx 32rpx 0;
  background-color: #fff;
}
</style>
